[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomSplitter.CheckNewSize

Ensures the new size is acceptable for the aligned control on the splitter.

## Declaration

Source position: extctrls.pp line 393

`protected function TCustomSplitter.CheckNewSize(`
`var NewSize: Integer`
`):Boolean; virtual;`

## Arguments

`NewSize` |  | New size for the aligned control in ResizeControl.

## Function result

True when NewSize is an acceptable size for the aligned control.

## Description

CheckNewSize signals the OnCanResize event handler (when assigned) to validate the value in NewSize. The values in NewSize and Result can be updated in the event handler as needed. Setting the return value to True indicates that the value in NewSize is acceptable.

CheckNewSize is used in the implementation of the MoveSplitter method.

## See also

TCustomSplitter.OnCanResize |  | Event handler signalled to determine if the splitter control can be resized / dragged / moved.
TCustomSplitter.MoveSplitter |  | Moves the splitter by an amount specified in Offset.
TCustomSplitter.ResizeControl |  | Contains the aligned control that is resized when the splitter is moved.